List projects
API call to retrieve a paginated list of projects. Contains a subset of information contained in Get project API call.
Utilize the query parameters below to refine the search criteria:
- name - The full project name or a portion of it. For instance, using
name=GUIorname=02will find projects namedGUI02. - clientId - The client’s ID within the system, not interchangeable with its UID.
- clientName - The complete or partial name of the client. For example, using
clientName=GUIorclientName=02will find projects associated with the clientGUI02. - businessUnitId - The business unit’s ID within the system, not interchangeable with its UID.
- businessUnitName - The complete or partial name of the business unit. For instance, using
businessUnitName=GUIorbusinessUnitName=02will find projects linked to the business unitGUI02. - statuses - A list of project statuses. When adding multiple statuses, include each as a dedicated query
parameter, e.g.,
statuses=ASSIGNED&statuses=COMPLETED. - domainId - The domain’s ID within the system, not interchangeable with its UID.
- domainName - The complete or partial name of the domain. Using
domainName=GUIordomainName=02will find projects associated with the domainGUI02. - subDomainId - The subdomain’s ID within the system, not interchangeable with its UID.
- subDomainName - The complete or partial name of the subdomain. For example, using
subDomainName=GUIorsubDomainName=02will find projects linked to the subdomainGUI02. - costCenterId - The cost center’s ID within the system, not interchangeable with its UID.
- costCenterName - The complete or partial name of the cost center. For instance, using
costCenterName=GUIorcostCenterName=02will find projects associated with the cost centerGUI02. - dueInHours - Filter for jobs with due dates less than or equal to the specified number of hours.
- createdInLastHours - Filter for jobs created within the specified number of hours.
- ownerId - The user ID who owns the project within the system, not interchangeable with its UID.
- jobStatuses - A list of statuses for jobs within the projects. Include each status as a dedicated query parameter,
e.g.,
jobStatuses=ASSIGNED&jobStatuses=COMPLETED. - jobStatusGroup - The name of the status group used to filter projects containing at least one job with the specified status, similar to the status filter in the Projects list for a Linguist user.
- buyerId - The Buyer’s ID.
- pageNumber - Indicates the desired page number (zero-based) to retrieve. The total number of pages is returned in
the
totalPagesfield within each response. - pageSize - Indicates the page size, affecting the
totalPagesretrieved in each response and potentially influencing the number of iterations needed to obtain all projects. - nameOrInternalId - Specify either the project name or Internal ID (the sequence number in the project list displayed in the UI).
- includeArchived - A boolean parameter to include archived projects in the search.
- archivedOnly - A boolean search indicating whether only archived projects should be searched.
Documentation Index
Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED -1 for projects that are overdue
x >= -1x >= 0Allowed for linguists only
NEW, ACCEPTED, DECLINED, DELIVERED, EMAILED, COMPLETED, CANCELLED Allowed for linguists only
NEW, ACCEPTED, COMPLETED Page number, starting with 0, default 0
x >= 0Page size, accepts values between 1 and 50, default 50
1 <= x <= 50Name or internal ID of project
List also archived projects
List only archived projects, regardless of includeArchived
ID, INTERNAL_ID, NAME, DATE_CREATED, DATE_ARCHIVED ASC, DESC